
; ****************************
; initialize GENSURF variables
; ****************************
(defun gensurf-setup()

   ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
   ;initialize any special stuff here
   ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq TRUE 0)
(setq FALSE 1)

(setq isinit TRUE)
(setq isload FALSE)
(princ)

)

(defun gs_new_project()
   (if (= isinit TRUE)
      (progn
         (gensurf 66)
         (xunload "gensurf")
         (xload "gensurf")
         (setq isload FALSE)
      )
   )
(princ)
)



(defun gs_read_points_XYZ()
   (if (= isinit TRUE)
      (progn
         (xunload "gensurf")
         (xload  "gensurf")
         (gensurf  50 )
         (gensurf 5)
         (setq isload TRUE)
      )
   )
(princ)
)

(defun gs_read_points_NEZ()
   (if (= isinit TRUE)
      (progn
         (xunload "gensurf")
         (xload  "gensurf")
         (gensurf  50 )
         (gensurf 6)
         (setq isload TRUE)
      )
   )
(princ)
)

(defun gs_process_points()
   (if (= isinit TRUE)
      (progn
         (gensurf  67 )
      )
   )
(princ)
)


(defun gs_edit_pointsfile()
   (if (and (= isinit TRUE) (= isload TRUE))
      (progn
         (edit_pointsfile)
         (graphscr)
      )
   )
(princ)
)

(defun gs_edit_par(typedcl /)
   (if (and (= isinit TRUE) (= isload TRUE))
      (progn
         (edit_par typedcl)      ;edit_paramfile
         (gensurf  50 )
         (graphscr)
      )
   )
(princ)
)

(defun gs_plot_points(method)
   (if (and (= isinit TRUE) (= isload TRUE))
      (progn
         (gensurf  67 )
         (if (= method  7) (gensurf   7))
         (if (= method 56) (gensurf  56))
      )
   )
(princ)
)

(defun gs_process_triangles(method)
   (if (and (= isinit TRUE) (= isload TRUE))
      (progn
         (gensurf  50 )
         (gensurf   4 )
         (gensurf  17 )
         (if (= method 11) (gensurf  11))
         (if (= method 57) (gensurf  57))
      )
   )
(princ)
)

(defun gs_process_contours(method)
   (if (and (= isinit TRUE) (= isload TRUE))
      (progn
         (gensurf  50 )
         (gensurf   4 )
         (gensurf  17 )
         (gensurf  18 )
         (if (= method 19) (gensurf  19))
         (if (= method 20) (gensurf  20))
         (if (= method 21) (gensurf  21))
         (if (= method 58) (gensurf  58))
      )
   )
(princ)
)

(defun gs_process_mesh(method)
   (if (and (= isinit TRUE) (= isload TRUE))
      (progn
         (gensurf  50 )
         (gensurf   4 )
         (gensurf  17 )
         (gensurf  29 )
         (if (= method 31) (gensurf  31))
         (if (= method 32) (gensurf  32))
         (if (= method 33) (gensurf  33))
         (if (= method 30) (gensurf  30))
      )
   )
(princ)
)

